[lxc-devel] [lxd/master] Bugfixes

stgraber on Github lxc-bot at linuxcontainers.org
Wed Feb 22 00:01:22 UTC 2017


A non-text attachment was scrubbed...
Name: not available
Type: text/x-mailbox
Size: 354 bytes
Desc: not available
URL: <http://lists.linuxcontainers.org/pipermail/lxc-devel/attachments/20170222/7f1c1ddf/attachment.bin>
-------------- next part --------------
From fb8732938891cb86ed61b0b49e68851fdd7625f4 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?St=C3=A9phane=20Graber?= <stgraber at ubuntu.com>
Date: Tue, 21 Feb 2017 17:29:36 -0500
Subject: [PATCH] tests: Also unmount the devlxd path
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: St├ęphane Graber <stgraber at ubuntu.com>
---
 test/main.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/test/main.sh b/test/main.sh
index 77ab9e3..2db50bb 100755
--- a/test/main.sh
+++ b/test/main.sh
@@ -267,6 +267,7 @@ kill_lxd() {
 
     # Cleanup shmounts (needed due to the forceful kill)
     find "${daemon_dir}" -name shmounts -exec "umount" "-l" "{}" \; >/dev/null 2>&1 || true
+    find "${daemon_dir}" -name devlxd -exec "umount" "-l" "{}" \; >/dev/null 2>&1 || true
 
     check_leftovers="true"
   fi


More information about the lxc-devel mailing list